> For the complete documentation index, see [llms.txt](https://docs.ai.neevcloud.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ai.neevcloud.com/api-reference/model-routing/models.md).

# Models

## List Models

> Lists the currently available models, and provides basic information about each one such as the owner and availability. This endpoint is OpenAI-compatible.

```json
{"openapi":"3.0.3","info":{"title":"Model Routing Service API","version":"0.1.0"},"servers":[{"url":"https://inference.ai.neevcloud.com","description":"Inference / model-routing API base URL"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"JWT token or API key for authentication."}},"schemas":{"ModelsListResponse":{"type":"object","description":"Response from the models list endpoint, following OpenAI's API format.","required":["object","data"],"properties":{"object":{"type":"string","enum":["list"],"description":"The object type, which is always \"list\"."},"data":{"type":"array","description":"The list of models.","items":{"$ref":"#/components/schemas/Model"}}}},"Model":{"type":"object","description":"Describes an OpenAI model offering that can be used with the API.","required":["id","object","created","owned_by"],"properties":{"id":{"type":"string","description":"The model identifier, which can be referenced in the API endpoints."},"object":{"type":"string","enum":["model"],"description":"The object type, which is always \"model\"."},"created":{"type":"integer","format":"int64","description":"The Unix timestamp (in seconds) when the model was created."},"owned_by":{"type":"string","description":"The organization that owns the model."}}},"OpenAIErrorResponse":{"type":"object","description":"Error response following OpenAI's error format.","required":["error"],"properties":{"error":{"type":"object","required":["message","type"],"properties":{"message":{"type":"string","description":"A human-readable error message."},"type":{"type":"string","description":"The type of error."},"param":{"type":"string","nullable":true,"description":"The parameter that caused the error."},"code":{"type":"string","nullable":true,"description":"A machine-readable error code."}}}}}}},"paths":{"/v1/models":{"get":{"tags":["Models"],"summary":"List Models","description":"Lists the currently available models, and provides basic information about each one such as the owner and availability. This endpoint is OpenAI-compatible.","operationId":"listModels","parameters":[{"name":"OrgID","in":"header","description":"organization ID required if request is made using access token.","required":false,"schema":{"type":"string"}},{"name":"ProjectID","in":"header","description":"project ID required if request is made using access token.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"List of models","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModelsListResponse"}}}},"401":{"description":"Unauthorized - invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenAIErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenAIErrorResponse"}}}}}}}}}
```

## Retrieve Model

> Retrieves a model instance, providing basic information about the model such as the owner and permission. This endpoint is OpenAI-compatible.

```json
{"openapi":"3.0.3","info":{"title":"Model Routing Service API","version":"0.1.0"},"servers":[{"url":"https://inference.ai.neevcloud.com","description":"Inference / model-routing API base URL"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"JWT token or API key for authentication."}},"schemas":{"Model":{"type":"object","description":"Describes an OpenAI model offering that can be used with the API.","required":["id","object","created","owned_by"],"properties":{"id":{"type":"string","description":"The model identifier, which can be referenced in the API endpoints."},"object":{"type":"string","enum":["model"],"description":"The object type, which is always \"model\"."},"created":{"type":"integer","format":"int64","description":"The Unix timestamp (in seconds) when the model was created."},"owned_by":{"type":"string","description":"The organization that owns the model."}}},"OpenAIErrorResponse":{"type":"object","description":"Error response following OpenAI's error format.","required":["error"],"properties":{"error":{"type":"object","required":["message","type"],"properties":{"message":{"type":"string","description":"A human-readable error message."},"type":{"type":"string","description":"The type of error."},"param":{"type":"string","nullable":true,"description":"The parameter that caused the error."},"code":{"type":"string","nullable":true,"description":"A machine-readable error code."}}}}}}},"paths":{"/v1/models/{model_id}":{"get":{"tags":["Models"],"summary":"Retrieve Model","description":"Retrieves a model instance, providing basic information about the model such as the owner and permission. This endpoint is OpenAI-compatible.","operationId":"getModel","parameters":[{"name":"model_id","in":"path","required":true,"description":"The ID of the model to use for this request.","schema":{"type":"string"}},{"name":"OrgID","in":"header","description":"organization ID required if request is made using access token.","required":false,"schema":{"type":"string"}},{"name":"ProjectID","in":"header","description":"project ID required if request is made using access token.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Model information","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Model"}}}},"401":{"description":"Unauthorized - invalid or missing API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenAIErrorResponse"}}}},"404":{"description":"Model not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenAIErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenAIErrorResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ai.neevcloud.com/api-reference/model-routing/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
